This endpoint used for creation of new business in the system. In addition when called just using user_id the same endpoint is used for re-activating the business in the system. If the business is in locked state.
The business information that needs to be colleted in the system depends on the country of issuance of the program.
Note
Do note when this endpoint is called in context of business re-activation only user_id is required.
Note
Blocked users cannot be re-activated
Header Parameters
Authorizationstring
Body Parameters
idstring
namestring
The name of the busines.
Max length
50
preferred_namestring
Prefereed name
Max length
25
emailstring
Registration email for the business
mobile_country_codestring
Supported Country codes for the business can be retrieved from GET /users/enumerations/mobile_country_codes
mobilestring
Mobile number of the business
foundation_datestring
The date when the business was founded in standard date format
purpose_of_account_openingstring
The business purpose for opening the account
tax_id_typestring
Type of tax identification documents
tax_id_numberstring
Number of the tax identification document
tax_id_issuance_countrystring
Country where the tax document was issued
tax_id_date_issuedstring
Issued date of id type in standard date format
tax_id_date_expirystring
Id type expiry date in standard date format
client_reference_idstring
Client Reference ID to be passed
Max length
50
source_of_fundsstring
Source of Funds to be passed
Max length
100
additional_detailsobject
JSON meta data of additional detail
Response
200
Object
OK
Response Attributes
idstring Required
Pattern
^[a-zA-Z0-9]*
readOnly
emailstring Required
Registration email for the business.
nameobject Required
Show child attributes
mobileobject Required
Show child attributes
tax_identificationobject
Show child attributes
foundation_datestring
Date when the business was founded.
account_typestring
Type of account. Business or individual
Enum values:
individualbusiness
statusobject Required
Show child attributes
dateobject Required
Show child attributes
risk_assessment_statusstring
Risk Evaluation of the Business
Enum values:
PENDINGCLEAREDREJECTEDUNKNOWN
client_reference_idstring
Nullable:
True
source_of_fundsstring
Source of funds for business
Nullable:
True
purpose_of_account_openingstring
The business purpose for opening the account.
client_ref_idstring
additional_detailsobject
JSON meta data of additional detail
400
Object
Bad Request
| Code | Description |
| :---------- | :---------- |
| resource_user_name_rule | Paramter `name` is not valid |
| resource_user_name_not_empty | Paramter `name` must not be empty |
| resource_user_name_lengthmax | Paramter `name` is too long, it cannot exceed 50 characters |
| resource_user_tax_id_date_expiry_invalid | Parameter `tax_id_date_expiry` is invalid |
| user_password_below_min_length | Parameter user `password` must be at least 8 characters long |
| user_password_above_max_length | Parameter user `password` must not exceed 32 characters |
| user_password_rule_mismatch | Parameter user `password` must be at least 8 characters long and must have a letter and a number |
| resource_tax_id_type_rule_not_matched | `tax_id_number` format doesnt match the rule defined for the tax_id_type |
| resource_user_mobile_country_code_not_allowed | Invalid parameter `mobile_country_code`, value not allowed |
| resource_user_mobile_country_code_lengthmax | `mobile_country_code` must not exceed 3 characters |
| resource_risk_service_blacklisted_error | Request parameters flagged and not allowed to signup |
| resource_user_email_unique | `email` is already in use |
| resource_risk_service_blacklisted_update_error | Request parameters flagged and not allowed to update. |
| unsuspend_flagged_user_not_allowed | Flagged user can not be unsuspended without risk exemption |
| resource_user_unrecognized_tax_id_type | Invalid `tax_id_type` |
| resource_user_tax_id_type_and_number_invalid | tax_id_number` must not be empty if `tax_id_type` is provided and vice-versa |
| user_tax_id_number_above_max_length | User `tax_id_number` must not exceed 30 characters |
| resource_user_wallet_fund_mobile_insufficient_dependency | Both `mobile_country_code` and `mobile` must be specified |
| resource_user_client_ref_id_lengthmax | Parameter `client_ref_id` is too long, it cannot exceed 50 characters |
| resource_user_client_ref_id_rule | Parameter `client_ref_id` is invalid. Only alphanumeric, spaces and these characters are allowed: - / \ # ( ) . , |
| resource_user_source_of_funds_lengthmax | Parameter `source_of_funds` is too long, it cannot exceed 100 characters |
| resource_user_source_of_funds_rule | Parameter `source_of_funds` is invalid. Only alphanumeric, spaces and these characters are allowed: / # ( ) . , - |
| resource_user_source_of_funds_not_allowed | Invalid parameter `source_of_funds`, value not allowed |
| Either `tax_id_date_expiry` or `tax_id_date_issue` parameter is empty |
| future_foundation_date_not_allowed | Users `foundation_date` can not be a future date |
| resource_user_foundation_date_invalid | User `foundation_date` is invalid. Please make sure it is in ISO 8601 format |
| resource_user_prefername_not_empty | `preferred_name` must not be empty|
| resource_user_prefername_lengthmax |`preferred_name` is too long, it cannot exceed 25 characters|
| resource_user_prefername_rule | `preferred_name` must only contain letters and spaces|
| resource_user_email_not_empty| `email` must not be empty|
| resource_user_email_validate| `email` is not valid|
| resource_user_mobilecountry_not_empty|`mobile_country_code` must not be empty|
| resource_user_mobilecountry_numeric|`mobile_country_code` should be a numeric value|
| resource_user_mobilenumber_not_empty|`mobile` must not be empty|
| resource_user_mobilenumber_unique| `mobile` is already registered |
| resource_source_of_funds_business_not_allowed| `source_of_funds` not allowed|
| resource_user_purpose_of_account_opening_lengthmax|Parameter `purpose_of_account_opening` is too long, it cannot exceed 100 characters|
| resource_user_purpose_of_account_opening_not_allowed|Parameter `purpose_of_account_opening` is invalid|
| resource_user_additional_details_not_allowed|Parameter `additional_details` is invalid|
| resource_user_tax_id_issuance_country_lengthmax|Parameter `tax_id_issuance_country` is too long, it cannot exceed 3 characters|
| resource_user_tax_id_issuance_country_not_allowed|Parameter `tax_id_issuance_country` is invalid|
| resource_user_tax_id_date_issued_invalid|Parameter `tax_id_date_issued` is invalid|
| resource_user_tax_id_date_issued_not_allowed|Parameter tax_id_date_issued can not be a future date|
| resource_user_tax_id_date_expiry_invalid|Parameter `tax_id_date_expiry` is invalid|
| resource_user_tax_id_date_expiry_not_allowed|Parameter `tax_id_date_expiry` must be a future date|
| resource_user_tax_id_number_invalid|Parameter `tax_id_number` is invalid|
| resource_user_tax_id_number_max_limit_reached|maximum allowed limit for re-using `tax_id_number` reached|
| user_parameter_validation_failed|"Field required not met; Invalid ` {field} ` must not be empty"|
Response Attributes
codeinteger Required
descriptionstring Required
linkstring Required
401
Object
Bad Request
Response Attributes
codeinteger Required
descriptionstring Required
linkstring Required
403
Object
Forbidden
| Code | Description | Examples/Notes|
| :---------- | :---------- | :-------------|
| restricted_resource | Access with method `POST` denied |
| risk_management_engine_error | An exception occurred during the processing of the risk and compliance of the user. |
| user_blocked_risk_threshold_exceeded | User have exceeded the risk and compliance threshold and was automatically blocked. |
| enity_blocked_risk_threshold_exceeded | Entity '{entity}.{attribute}' requested for evaluation is blacklisted | Entity 'customer.first_name' requested for evaluation is blacklisted. |
Response Attributes
codeinteger Required
descriptionstring Required
linkstring Required
404
Object
Forbidden
| Code | Description |
| :---------- | :---------- |
| user_record_not_found | User record not found. |
| user_improper_id | Resource incomplete |
Response Attributes
codeinteger Required
descriptionstring Required
linkstring Required
500
Object
Forbidden
| Code | Description |
| :---------- | :---------- |
| resource_risk_service_config_error | Unable to process the request due invalid risk service configuration. |